Home
last modified time | relevance | path

Searched refs:gzip (Results 1 – 8 of 8) sorted by relevance

/lighttpd1.4/doc/outdated/
H A Dcompress.txt26 most suitable compression method. We support deflate, gzip and bzip2.
28 deflate (RFC1950, RFC1951) and gzip (RFC1952) depend on zlib while bzip2
73 compress.allowed-encodings = ("bzip2", "gzip", "deflate")
122 setenv.add-response-header = ( "Content-Encoding" => "gzip" )
155 setenv.add-response-header = ( "Content-Encoding" => "gzip")
176 'django.middleware.gzip.GZipMiddleware',
H A Dconfiguration.txt494 ".gz" => "application/x-gzip",
H A Dmagnet.txt338 $ gzip -cd luafilesystem-1.2.tar.gz | tar xf -
/lighttpd1.4/src/
H A Dmod_deflate.c177 } gzip; member
439 params->gzip.clevel = 0; /*(unset)*/ in mod_deflate_parse_params()
440 params->gzip.windowBits = MAX_WBITS; in mod_deflate_parse_params()
441 params->gzip.memLevel = 8; in mod_deflate_parse_params()
442 params->gzip.strategy = Z_DEFAULT_STRATEGY; in mod_deflate_parse_params()
558 params->gzip.clevel = v; /* 1 .. 9 */ in mod_deflate_parse_params()
576 params->gzip.memLevel = v; /* 1 .. 9 */ in mod_deflate_parse_params()
892 ? params->gzip.clevel in stream_deflate_init()
895 ? params->gzip.windowBits in stream_deflate_init()
1455 ? params->gzip.clevel in mod_deflate_using_libdeflate_sm()
[all …]
/lighttpd1.4/
H A DREADME89 - on-the-fly output compression (deflate, gzip)
122 (for Keep-Alive/Persistent Connections, Accept-Encoding for PHP + gzip)
H A DSConstruct272 BoolVariable('with_zlib', 'enable deflate/gzip compression', 'no'),
H A Dconfigure.ac1721 lighty_track_feature "compress-gzip compress-deflate" "" \
H A DNEWS1850 * [mod_deflate] honor request for x-gzip, x-bzip2
3046 * detect "x-gzip"/"x-bzip2" as separate encodings, more strict encoding matching (fixes #2443)